Skip to main content
GET
/
dimensions
/
{id}
cURL
curl https://api.growthbook.io/api/v1/dimensions/dim_123abc \
  -u secret_abc123DEF456:
{
  "dimension": {
    "id": "<string>",
    "dateCreated": "<string>",
    "dateUpdated": "<string>",
    "owner": "<unknown>",
    "datasourceId": "<string>",
    "identifierType": "<string>",
    "name": "<string>",
    "query": "<string>",
    "description": "<string>",
    "managedBy": ""
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource

Response

200 - application/json

Success

dimension
object
required